AuthenticationFilterInitializer (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.security, class: AuthenticationFilterInitializer

Package org.apache.hadoop.security

# Class AuthenticationFilterInitializer

java.lang.Object
org.apache.hadoop.http.FilterInitializer
org.apache.hadoop.security.AuthenticationFilterInitializer

public class AuthenticationFilterInitializer extends FilterInitializer
Initializes hadoop-auth AuthenticationFilter which provides support for Kerberos HTTP SPNEGO authentication.

It enables anonymous access, simple/pseudo and Kerberos HTTP SPNEGO authentication for Hadoop JobTracker, NameNode, DataNodes and TaskTrackers.

Refer to the `core-default.xml` file, after the comment 'HTTP Authentication' for details on the configuration options. All related configuration properties have 'hadoop.http.authentication.' as prefix.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationFilterInitializer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Map<String,String>`
  `getFilterConfigMap(Configuration conf, String prefix)`
  `void`
  `initFilter(FilterContainer container, Configuration conf)`
  Initializes hadoop-auth AuthenticationFilter.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationFilterInitializer

    public AuthenticationFilterInitializer()

- ## Method Details

  - ### initFilter

    public void initFilter(FilterContainer container, Configuration conf)
    Initializes hadoop-auth AuthenticationFilter.

    Propagates to hadoop-auth AuthenticationFilter configuration all Hadoop configuration properties prefixed with "hadoop.http.authentication."

    Specified by:
      `initFilter` in class `FilterInitializer`
    Parameters:
      `container` - The filter container
      `conf` - Configuration for run-time parameters

  - ### getFilterConfigMap

    public static Map<String,String> getFilterConfigMap(Configuration conf, String prefix)